Package Details: lib32-libevdev 1.7.0-1

Git Clone URL: https://aur.archlinux.org/lib32-libevdev.git (read-only)
Package Base: lib32-libevdev
Description: Wrapper library for evdev devices (32-bit)
Upstream URL: https://www.freedesktop.org/wiki/Software/libevdev/
Licenses: custom:X11
Submitter: orumin
Maintainer: adsun
Last Packager: adsun
Votes: 6
Popularity: 0.002153
First Submitted: 2016-06-11 16:51
Last Updated: 2019-06-05 15:26

Latest Comments

CyberShadow commented on 2019-06-23 20:40

OK. That is annoying, because I have had no problem building 174 other lib32-* packages using aurutils. If it's not too much of a burden, it would be good to support this method too.

Edit: if you consider this to be a bug in aurutils, alternatively I could follow up there.

adsun commented on 2019-06-23 20:37

@CyberShadow Yes, aurutils and other AUR helpers are not supported.

CyberShadow commented on 2019-06-23 20:19

Hi, sorry, that's not what I'm seeing here. Here is the full output: https://dump.thecybershadow.net/f7938d81828fe1bea0f6e2ea77d71604/20%3A18%3A20-upload.txt

I see lib32-glibc listed in this package's dependencies, but I see no mention of gcc-libs.

Edit: sorry, I misunderstood your message. Are you saying that multilib-build is the only supported way to build this package, and using e.g. aurutils is not supported?

adsun commented on 2019-06-23 20:16

@CyberShadow When you build in a clean chroot with multilib-build, it should automatically pull in lib32-glibc and lib32-gcc-libs to build.

CyberShadow commented on 2019-06-23 20:03

==> Starting build()...
checking for gcc... gcc -m32
checking whether the C compiler works... no
configure: error: in `/build/lib32-libevdev/src/libevdev-1.7.0':
configure: error: C compiler cannot create executables
See `config.log' for more details

Zebulan commented on 2018-04-09 18:32

When trying to install this package I get this error: https://pastebin.com/3zHpZvrx